"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = __importDefault(require("commander"));
const webpack_1 = __importDefault(require("webpack"));
const webpack_bundle_analyzer_1 = require("webpack-bundle-analyzer");
const printResults_1 = require("../printResults");
const config_1 = require("./config");
function build(dir) {
    const config = config_1.createConfigs(dir);
    if (commander_1.default.analyze) {
        config[0].plugins.push(new webpack_bundle_analyzer_1.BundleAnalyzerPlugin());
        config[0].profile = true;
    }
    const compiler = webpack_1.default(config);
    compiler.run(printResults_1.printResults);
}
commander_1.default.command("build <dir>").action(build);
